Forums

How to install The Sims 4

Auteur Réponses
Jump to the page: 1 - 2
steve723 Mercredi 28 Janvier 2015 à 23:24
steve723Anonymous

I hope so. I will ask. One of the reasons I like Linux is because its not as messy and sloppy as Microsoft Windows. I bet their so called compatablity mode would work better if it set up a virtual environment for each game instead of trying to throw everything including the kitchen sink in and trying to make all games compatible with all things. If all the patches don't load everything all the time then that might work.

steve723 Vendredi 30 Janvier 2015 à 22:12
steve723Anonymous

@ POL devs, Here is a copy of a comment on my bugzzilla bug report from wine-stageing, I hope you can figure out a wiine build from it.

 


2015-01-30 17:00:36 CET

Hi,

I've moved this entry to Discussion since its not really a bug in Wine-Staging itself.

Based on Appdb ( https://appdb.winehq.org/objectManager.php?sClass=version&iId=30029 ) the problem with installing vcrun2013 is caused by https://bugs.winehq.org/show_bug.cgi?id=33576 . This means it is ACL related. Unfortunately there are several opened ACL bugs, and they are not always properly categorized. You'll need the following patches as a minimum:

* https://github.com/wine-compholio/wine-staging/tree/master/patches/ntdll-DOS_Attributes
* https://github.com/wine-compholio/wine-staging/tree/master/patches/server-Stored_ACLs

Maybe additionally also:

* https://github.com/wine-compholio/wine-staging/tree/master/patches/server-Inherited_ACLs
* https://github.com/wine-compholio/wine-staging/tree/master/patches/server-ACL_Compat
* https://github.com/wine-compholio/wine-staging/tree/master/patches/server-Misc_ACL
* https://github.com/wine-compholio/wine-staging/tree/master/patches/shell32-Default_Folder_ACLs

It is always a bit difficult to track down which patches are exactly required, but it wouldn't really hurt to apply all of them. Please note that the order of the patches is important sometimes, otherwise it will not apply. Dependency information for each patchset is contained in the "definition" files. Please note that the patches above do not contain any autogenerated changes, this has to be done after applying/merging them.
      2015-01-30 17:00:36 CET 
Hi,

I've moved this entry to Discussion since its not really a bug in Wine-Staging itself.

Based on Appdb ( https://appdb.winehq.org/objectManager.php?sClass=version&iId=30029 ) the problem with installing vcrun2013 is caused by https://bugs.winehq.org/show_bug.cgi?id=33576 . This means it is ACL related. Unfortunately there are several opened ACL bugs, and they are not always properly categorized. You'll need the following patches as a minimum:

* https://github.com/wine-compholio/wine-staging/tree/master/patches/ntdll-DOS_Attributes
* https://github.com/wine-compholio/wine-staging/tree/master/patches/server-Stored_ACLs

Maybe additionally also:

* https://github.com/wine-compholio/wine-staging/tree/master/patches/server-Inherited_ACLs
* https://github.com/wine-compholio/wine-staging/tree/master/patches/server-ACL_Compat
* https://github.com/wine-compholio/wine-staging/tree/master/patches/server-Misc_ACL
* https://github.com/wine-compholio/wine-staging/tree/master/patches/shell32-Default_Folder_ACLs

It is always a bit difficult to track down which patches are exactly required, but it wouldn't really hurt to apply all of them. Please note that the order of the patches is important sometimes, otherwise it will not apply. Dependency information for each patchset is contained in the "definition" files. Please note that the patches above do not contain any autogenerated changes, this has to be done after applying/merging them.

Nevertheless, I would like to add a couple of additional remarks:

* The patches in our repo should normally not be applied "manually". We are providing scripts to simplify the step of applying patches, and afterwards running all necessary tools to update autogenerated files. Some patches (the font patches for example) are in binary format and they cannot be applied using the regular 'patch' commandline utlity. We have documented all required steps here, including information how to cherry-pick specific patchsets (see last section):
https://github.com/wine-compholio/wine-staging/wiki/Packaging

* Some of those patches are not perfect and have known issues / limitations. We're improving them in our repo, where we provide new updated patchsets for each new wine release. It is generally a bad idea to just "duplicate" patches to other repositories. I know that POL does that with basically everything, but we can't provide any support for users with outdated patchsets or packaging errors (a lot can go wrong when not using our recommended packaging method).

* I am not sure if those ACL patches are the only patches required to get Sims working. As you can read on http://wine-staging.com we have about over 500 patches which fix about 130 wine bugs. This also includes various other fixes to d3dx9, wined3d, general performance improvements, .... I don't have Sims available for testing, so I am not sure what exactly is required. You should probably test that yourself before requesting a wine build.

Feel free to forward all this information to the POL team. My personal opinion is that it would be easier if POL would decide to package "full" versions of wine-staging, especially because this would also allow to get rid of various other "hacked" packages with terribly outdated patches. For a lot of bugs where POL ships a hacked version we have a proper fix in our repository.

Best regards,
Sebastian

Nevertheless, I would like to add a couple of additional remarks:

* The patches in our repo should normally not be applied "manually". We are providing scripts to simplify the step of applying patches, and afterwards running all necessary tools to update autogenerated files. Some patches (the font patches for example) are in binary format and they cannot be applied using the regular 'patch' commandline utlity. We have documented all required steps here, including information how to cherry-pick specific patchsets (see last section):
https://github.com/wine-compholio/wine-staging/wiki/Packaging

* Some of those patches are not perfect and have known issues / limitations. We're improving them in our repo, where we provide new updated patchsets for each new wine release. It is generally a bad idea to just "duplicate" patches to other repositories. I know that POL does that with basically everything, but we can't provide any support for users with outdated patchsets or packaging errors (a lot can go wrong when not using our recommended packaging method).

* I am not sure if those ACL patches are the only patches required to get Sims working. As you can read on http://wine-staging.com we have about over 500 patches which fix about 130 wine bugs. This also includes various other fixes to d3dx9, wined3d, general performance improvements, .... I don't have Sims available for testing, so I am not sure what exactly is required. You should probably test that yourself before requesting a wine build.

Feel free to forward all this information to the POL team. My personal opinion is that it would be easier if POL would decide to package "full" versions of wine-staging, especially because this would also allow to get rid of various other "hacked" packages with terribly outdated patches. For a lot of bugs where POL ships a hacked version we have a proper fix in our repository.

Best regards,
Sebastian

 

 

That's strange. I wounder why it duplicated the first part. Must be a PHP copy/paste thing.

Edité par steve723

Ronin DUSETTE Samedi 31 Janvier 2015 à 6:58
Ronin DUSETTE
Admin

A link would have sufficed. ;)


Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
steve723 Jeudi 19 Mars 2015 à 10:27
steve723Anonymous

Now that POL has added winestaging versions to the list, I now have The Sims 4 working. smileycool

Ronin DUSETTE Jeudi 19 Mars 2015 à 16:26
Ronin DUSETTE
Admin

Excellent. I knew there was a patch lurking out there somewhere. :D


Please:
Post debug logs & full computer specs in first post
No private messages for general help, use the forums
Read the wiki, Report broken scripts
steve723 Mardi 29 September 2015 à 3:51
steve723Anonymous

POL Wine 1.7.38 runs The Sims 4 just fine.

steve723 Mardi 29 September 2015 à 3:54
steve723Anonymous

POL Wine 1.7.38 runs The Sims 4 just fine.

Xifoman Dimanche 28 Février 2016 à 12:38
Xifoman

Im install play on linux 4.2.10 and to POL wine 1.94 and the additional necessary components. Then after the setup of the game voilá...

Xifoman Dimanche 28 Février 2016 à 12:39
Xifoman

Im install play on linux 4.2.10 and to POL wine 1.94 and the additional necessary components. Then after the setup of the game voilá...

ky Jeudi 1 Décembre 2016 à 1:19
kyAnonymous

My installation of originsetup.exe from dvd is not installing to the end. the error message reads as follows:

 

p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nichp11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: Kann die Shared-Object-Datei nicht öffnen: Datei oder VeStarting ; Update System 2 ; UpdateTool v10.3.2.64936

I have installed it under wine 1.9.24 and with all versions of vcrun from 2010 to 2013 - is there still something missing?

 

thanks in advance!

ky Vendredi 16 Décembre 2016 à 4:45
kyAnonymous

had a workaround for this issue:

install libp11-kit-gnome-keyring:i386 p11-kit-modules:i386

haluanedecassia Mercredi 28 Décembre 2016 à 3:29
haluanedecassiaAnonymous

It is in portuguese, but it solves the question:

https://www.youtube.com/watch?v=5gYq29zWyFk